[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.InheritsFrom

Check whether class is an ancestor.

## Declaration

Source position: objpash.inc line 224

`public class function TObject.InheritsFrom(`
`aclass: TClass`
`):Boolean;`

## Description

InheritsFrom returns True if AClass is an ancestor class from the current class, and returns false if it is not.

## See also

ClassName |  | Return the current class name.
ClassInfo |  | Return a pointer to the type information for this class.
ClassType |  | Return a "class of" pointer for the current class
TClass |  | Class of TObject.